Bug#499482: Dmraid activation could possibly activate degraded arrays. - Debian

This is a discussion on Bug#499482: Dmraid activation could possibly activate degraded arrays. - Debian ; Package: disk-detect Version: 1.69 User: ubuntu-devel@lists.ubuntu.com Usertags: origin-ubuntu ubuntu-patch intrepid ubuntu When disk-detect.sh attempts to activate dmraid arrays with "dmraid -ay", there is the potential for degraded arras to be activated. If Debian happens to be installed to such an ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: Bug#499482: Dmraid activation could possibly activate degraded arrays.

  1. Bug#499482: Dmraid activation could possibly activate degraded arrays.

    Package: disk-detect
    Version: 1.69
    User: ubuntu-devel@lists.ubuntu.com
    Usertags: origin-ubuntu ubuntu-patch intrepid ubuntu

    When disk-detect.sh attempts to activate dmraid arrays with "dmraid -ay", there is the potential for degraded arras to be activated. If Debian happens to be installed to such an array, this could worsen the array's state.

    Attached is a patch that uses the dmraid-activate script from the dmraid-udeb package to activate only arrays that don't appear to be degraded.

    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.6 (GNU/Linux)

    iD8DBQFI0yaJjVefwtBjIM4RAt7TAKCMiAMAsQmpboNHC7UeNI poARACYQCgtSp/
    5gI+FBB1L3bXLvG187zpq/A=
    =tfCb
    -----END PGP SIGNATURE-----


  2. Bug#499482: Dmraid activation could possibly activate degraded arrays.

    Luke Yelavich ha scritto:
    > Package: disk-detect
    > Version: 1.69
    > User: ubuntu-devel@lists.ubuntu.com
    > Usertags: origin-ubuntu ubuntu-patch intrepid ubuntu
    >
    > When disk-detect.sh attempts to activate dmraid arrays with "dmraid -ay", there is the potential for degraded arras to be activated. If Debian happens to be installed to such an array, this could worsen the array's state.
    >
    > Attached is a patch that uses the dmraid-activate script from the dmraid-udeb package to activate only arrays that don't appear to be degraded.
    >


    At this moment udeb hasn't dmraid-activate. I'm going to upload a new dmraid
    version to fix 2 RC bugs, and I could add it, let me know.


    Giuseppe


    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.9 (GNU/Linux)

    iEYEARECAAYFAkjTOL4ACgkQNxpp46476arI/wCeNeg7AcgRg5oenqdKIoxZD3c/
    Ru4An1o2K2wmrtdcEHy5Jq7o2NoUX93e
    =imo2
    -----END PGP SIGNATURE-----


  3. Bug#499482: Dmraid activation could possibly activate degraded arrays.

    On Friday 19 September 2008, Giuseppe Iuculano wrote:
    > At this moment udeb hasn't dmraid-activate. I'm going to upload a new
    > dmraid version to fix 2 RC bugs, and I could add it, let me know.


    This does not seem like an RC issue to me and should thus wait until after
    the release of Lenny. I'm also not sure that the installer really needs
    to guard against such situations.

    If users are dumb enough to do new installations to systems that have
    degraded RAID, they'll just have to live with the consequences.

    We do not have any more time available to make such changes and test them
    at this point.



    --
    To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

+ Reply to Thread